library(tidyverse)
theme_set(theme_bw(base_size = 25))


tibble(temperature=seq(from=10,to=40, by=5)) -> data

data %>%
  mutate(batch1=temperature/2 + runif(length(temperature),-5,5)) %>%
  mutate(batch2=temperature/2 + runif(length(temperature),-5,5)) %>%
  mutate(batch3=temperature/2 + runif(length(temperature),-5,5)) %>%
  gather(key=batch, value=infiltration, contains("batch")) -> data

lm(data$infiltration~data$temperature) -> lm.answer
lm.answer$coefficients


data %>%
  ggplot(aes(x=temperature, y=infiltration, colour=batch)) +
  geom_point(size=5) +
  geom_abline(slope = lm.answer$coefficients[2], intercept = lm.answer$coefficients[1])
